#!/bin/sh
echo 'name: tls
version: 1.1.2
id: tls-1.1.2-f314ebf5264aa5b5869941f94135c2ee

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-tls
package-url:
synopsis: TLS/SSL protocol native implementation (Server and Client)
description: Native Haskell TLS and SSL protocol implementation for server and client.
             .
             This provides a high-level implementation of a sensitive security protocol,
             eliminating a common set of security issues through the use of the advanced
             type system, high level constructions and common Haskell features.
             .
             Currently implement the SSL3.0, TLS1.0, TLS1.1 and TLS1.2 protocol,
             with only RSA supported for Key Exchange.
             .
             Only core protocol available here, have a look at the
             <http://hackage.haskell.org/package/tls-extra/> package for default
             ciphers, compressions and certificates functions.
category: Network
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Network.TLS Network.TLS.Cipher
                 Network.TLS.Compression Network.TLS.Internal
hidden-modules: Network.TLS.Cap Network.TLS.Struct Network.TLS.Core
                Network.TLS.Context Network.TLS.Crypto Network.TLS.Extension
                Network.TLS.Handshake Network.TLS.Handshake.Common
                Network.TLS.Handshake.Certificate Network.TLS.Handshake.Client
                Network.TLS.Handshake.Server Network.TLS.Handshake.Signature
                Network.TLS.IO Network.TLS.MAC Network.TLS.Measurement
                Network.TLS.Packet Network.TLS.Record Network.TLS.Record.Types
                Network.TLS.Record.Engage Network.TLS.Record.Disengage
                Network.TLS.State Network.TLS.Session Network.TLS.Sending
                Network.TLS.Receiving Network.TLS.Util Network.TLS.Types
                Network.TLS.Wire
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/tls-1.1.2
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/tls-1.1.2
              /usr/local/lib
hs-libraries: HStls-1.1.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.1.0-12fddc14a7babb909dd3843e453b5660
         bytestring-0.9.2.1-e22c77999d0db34f3ca8de7082a3ffd5
         cereal-0.3.5.2-4a36143bb9e4836e68fcbca872fdfe0f
         certificate-1.3.5-b95831c79f21b8eea25fe0e98c360cc2
         crypto-pubkey-0.1.2-39da53ce7e986b66621cde6ecadc0de8
         crypto-random-api-0.2.0-8316650302eee29c197dd32c53ec7ac6
         cryptohash-0.8.3-44081864b73c0873c24a7b84ff57e658
         mtl-2.1.2-cf6082d8d4c6758d23401302efadd028
         network-2.3.1.0-1f735f32e5a1c961da366077d0410c66
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/tls-1.1.2/html/tls.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/tls-1.1.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
